## moonlight-qt 6.1.0

=== qmdnsengine/qmdnsengine/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2.0)
project(qmdnsengine)

set(PROJECT_NAME "QMdnsEngine")
set(PROJECT_DESCRIPTION "Multicast DNS library for Qt applications")
set(PROJECT_AUTHOR "Nathan Osman")
set(PROJECT_URL "https://github.com/nitroshare/qmdnsengine")

set(PROJECT_VERSION_MAJOR 0)
set(PROJECT_VERSION_MINOR 1)
set(PROJECT_VERSION_PATCH 0)
set(PROJECT_VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})

# Build a shared library by default
option(BUILD_SHARED_LIBS "Build QMdnsEngine as a shared library" ON)

set(BIN_INSTALL_DIR bin CACHE STRING "Binary installation directory relative to the install prefix")
set(LIB_INSTALL_DIR lib CACHE STRING "Library installation directory relative to the install prefix")
set(INCLUDE_INSTALL_DIR include CACHE STRING "Header installation directory relative to the install prefix")

set(DOC_INSTALL_DIR share/doc/qmdnsengine CACHE STRING "Documentation installation directory relative to the install prefix")
set(EXAMPLES_INSTALL_DIR "${LIB_INSTALL_DIR}/qmdnsengine/examples" CACHE STRING "Examples installation directory relative to the install prefix")

find_package(Qt5Network 5.4 REQUIRED)

set(CMAKE_AUTOMOC ON)

add_subdirectory(src)

option(BUILD_DOC "Build Doxygen documentation" OFF)
if(BUILD_DOC)
    find_package(Doxygen REQUIRED)
    add_subdirectory(doc)
endif()

option(BUILD_EXAMPLES "Build example applications" OFF)
if(BUILD_EXAMPLES)
    find_package(Qt5Widgets 5.4)
    add_subdirectory(examples)
endif()

option(BUILD_TESTS "Build test suite" OFF)
if(BUILD_TESTS)
    find_package(Qt5Test 5.4 REQUIRED)
    enable_testing()
    add_subdirectory(tests)
endif()

set(CPACK_PACKAGE_INSTALL_DIRECTORY "${PROJECT_NAME}")
set(CPACK_PACKAGE_VENDOR "${PROJECT_AUTHOR}")
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})

set(CPACK_COMPONENT_DOCUMENTATION_DISPLAY_NAME "Documentation")
set(CPACK_COMPONENT_DOCUMENTATION_DESCRIPTION "Documentation generated for the library")
set(CPACK_COMPONENT_EXAMPLES_DISPLAY_NAME "Examples")
set(CPACK_COMPONENT_EXAMPLES_DESCRIPTION "Sample applications using the library")

include(CPack)

=== qmdnsengine/qmdnsengine/doc/CMakeLists.txt ===
configure_file(Doxyfile.in "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile")

add_custom_target(doc ALL
    "${DOXYGEN_EXECUTABLE}" \"${CMAKE_CURRENT_BINARY_DIR}/Doxyfile\"
)

install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html"
    DESTINATION "${DOC_INSTALL_DIR}"
    COMPONENT documentation
)

=== qmdnsengine/qmdnsengine/examples/CMakeLists.txt ===
set(EXAMPLES
    browser
    provider
)

foreach(EXAMPLE ${EXAMPLES})
    set(EXAMPLE_DIR "${EXAMPLES_INSTALL_DIR}/${EXAMPLE}")
    add_subdirectory(${EXAMPLE})
    install(DIRECTORY ${EXAMPLE}
        DESTINATION "${EXAMPLES_INSTALL_DIR}"
        COMPONENT examples
    )
endforeach()

=== qmdnsengine/qmdnsengine/src/CMakeLists.txt ===
configure_file(qmdnsengine_export.h.in "${CMAKE_CURRENT_BINARY_DIR}/qmdnsengine_export.h")

set(HEADERS
    include/qmdnsengine/abstractserver.h
    include/qmdnsengine/bitmap.h
    include/qmdnsengine/browser.h
    include/qmdnsengine/cache.h
    include/qmdnsengine/dns.h
    include/qmdnsengine/hostname.h
    include/qmdnsengine/mdns.h
    include/qmdnsengine/message.h
    include/qmdnsengine/prober.h
    include/qmdnsengine/provider.h
    include/qmdnsengine/query.h
    include/qmdnsengine/record.h
    include/qmdnsengine/resolver.h
    include/qmdnsengine/server.h
    include/qmdnsengine/service.h
    "${CMAKE_CURRENT_BINARY_DIR}/qmdnsengine_export.h"
)

set(SRC
    src/abstractserver.cpp
    src/bitmap.cpp
    src/browser.cpp
    src/cache.cpp
    src/dns.cpp
    src/hostname.cpp
    src/mdns.cpp
    src/message.cpp
    src/prober.cpp
    src/provider.cpp
    src/query.cpp
    src/record.cpp
    src/resolver.cpp
    src/server.cpp
    src/service.cpp
)

if(WIN32)
    configure_file(resource.rc.in "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
    set(SRC ${SRC} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
endif()

add_library(qmdnsengine ${HEADERS} ${SRC})

set_target_properties(qmdnsengine PROPERTIES
    CXX_STANDARD          11
    CXX_STANDARD_REQUIRED ON
    DEFINE_SYMBOL         QT_NO_SIGNALS_SLOTS_KEYWORDS
    DEFINE_SYMBOL         QMDNSENGINE_LIBRARY
    PUBLIC_HEADER         "${HEADERS}"
    VERSION               ${PROJECT_VERSION}
    SOVERSION             ${PROJECT_VERSION_MAJOR}
)

target_include_directories(qmdnsengine PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
    "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>"
)

target_link_libraries(qmdnsengine Qt5::Network)

install(TARGETS qmdnsengine
    EXPORT        qmdnsengine-export
    RUNTIME       DESTINATION "${BIN_INSTALL_DIR}"
    LIBRARY       DESTINATION "${LIB_INSTALL_DIR}"
    ARCHIVE       DESTINATION "${LIB_INSTALL_DIR}"
    PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/qmdnsengine"
)

install(EXPORT qmdnsengine-export
    FILE        qmdnsengineConfig.cmake
    DESTINATION "${LIB_INSTALL_DIR}/cmake/qmdnsengine"
)

include(CMakePackageConfigHelpers)

write_basic_package_version_file("${CMAKE_CURRENT_BINARY_DIR}/qmdnsengineConfigVersion.cmake"
    VERSION       ${PROJECT_VERSION}
    COMPATIBILITY SameMajorVersion
)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/qmdnsengineConfigVersion.cmake"
    DESTINATION "${LIB_INSTALL_DIR}/cmake/qmdnsengine"
)

=== qmdnsengine/qmdnsengine/tests/CMakeLists.txt ===
add_subdirectory(common)

set(TESTS
    TestBrowser
    TestCache
    TestDns
    TestHostname
    TestProber
    TestProvider
    TestResolver
)

foreach(_test ${TESTS})
    add_executable(${_test} ${_test}.cpp)
    set_target_properties(${_test} PROPERTIES
        CXX_STANDARD 11
        CXX_STANDARD_REQUIRED ON
    )
    target_include_directories(${_test} PUBLIC "${CMAKE_CURRENT_BINARY_DIR}")
    target_link_libraries(${_test} qmdnsengine Qt5::Test common)
    add_test(NAME ${_test}
        COMMAND ${_test}
    )
endforeach()

# On Windows, the tests will not run without the DLL located in the current
# directory - a target must be used to copy it here once built
if(WIN32)
    add_custom_target(qmdnsengine-copy ALL
        "${CMAKE_COMMAND}" -E copy_if_different \"$<TARGET_FILE:qmdnsengine>\" \"${CMAKE_CURRENT_BINARY_DIR}\"
        DEPENDS qmdnsengine
    )
endif()

=== qmdnsengine/qmdnsengine/examples/provider/CMakeLists.txt ===
set(SRC
    mainwindow.cpp
    provider.cpp
)

add_executable(provider WIN32 ${SRC})

target_link_libraries(provider qmdnsengine Qt5::Widgets)

install(TARGETS provider
    RUNTIME DESTINATION "${EXAMPLE_DIR}"
    COMPONENT examples
)

=== qmdnsengine/qmdnsengine/tests/common/CMakeLists.txt ===
set(SRC
    testserver.cpp
    util.cpp
)

add_library(common STATIC ${SRC})
set_target_properties(common PROPERTIES
    CXX_STANDARD 11
    CXX_STANDARD_REQUIRED ON
)
target_link_libraries(common qmdnsengine)

=== debian/changelog ===
moonlight-qt (6.1.0-0deepin1) unstable; urgency=medium

  * New upstream release

 -- Cryolitia <cryolitia@deepin.org>  Mon, 16 Jun 2025 16:40:29 +0800

=== debian/control ===
Source: moonlight-qt
Section: net
Priority: optional
Maintainer: Cryolitia <cryolitia@deepin.org>
Build-Depends:
 libegl1-mesa-dev, libgl1-mesa-dev, libopus-dev, libsdl2-dev, libsdl2-ttf-dev, libssl-dev, libavcodec-dev, libavformat-dev, libswscale-dev, libva-dev, libvdpau-dev, libxkbcommon-dev, wayland-protocols, libdrm-dev,
 qt6-base-dev, qt6-declarative-dev, libqt6svg6-dev, qml6-module-qtquick-controls, qml6-module-qtquick-templates, qml6-module-qtquick-layouts, qml6-module-qtqml-workerscript, qml6-module-qtquick-window, qml6-module-qtquick,
 libplacebo-dev, ffmpeg
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/moonlight-stream/moonlight-qt
Vcs-Browser: https://github.com/deepin-community/moonlight-qt
Vcs-Git: https://github.com/moonlight-community/moonlight-qt.git

Package: moonlight-qt
Architecture: any
Depends:
 wayland-protocols,
 ffmpeg,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Moonlight PC is an open source PC client for NVIDIA GameStream and Sunshine
 Moonlight (formerly Limelight) is an open source implementation of NVIDIA's
 GameStream protocol. It implemented the protocol used by the NVIDIA Shield and
 wrote a set of 3rd party clients.
 .
 You can stream your collection of PC games from your gaming PC to any
 supported device and play them remotely. Moonlight is perfect for gaming on
 the go without sacrificing the graphics and game selection available on PC.

=== debian/rules ===
#!/usr/bin/make -f

export PATH=/usr/lib/qt6/bin/:$(shell printenv PATH)
export QT_SELECT=qt6

export DEB_LDFLAGS_MAINT_APPEND=hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddir=build-moonlight-qt -- ../moonlight-qt.pro

override_dh_auto_build:
	dh_auto_build --builddir=build-moonlight-qt

override_dh_auto_install:
	dh_auto_install --builddir=build-moonlight-qt

=== debian/watch ===
version=4
https://github.com/moonlight-stream/moonlight-qt/tags .*/v?(\d.*)@ARCHIVE_EXT@
